# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'crowbar/version'

Gem::Specification.new do |s|
  s.name          = "crowbar"
  s.version       = Crowbar::VERSION
  s.authors       = ["Christopher Stingl"]
  s.email         = ["cs@wolves.io"]
  s.summary       = %q{Pry-based enhancements for Rails 3/4 debugging}
  s.description   = %q{Pry-based enhancements for both Rails 3 & 4 debugging. A compilation of opinionated pry packages to improve the debugging environment}
  s.homepage      = "https://github.com/wolves/crowbar"
  s.license       = "MIT"

  s.required_ruby_version = '>= 1.9.3'
  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if s.respond_to?(:metadata)
  #   s.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir        = "exe"
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ["lib"]


  s.add_development_dependency "rspec"
  s.add_development_dependency "bundler", "~> 1.10"
  s.add_development_dependency "rake", "~> 10.0"

  s.add_runtime_dependency "pry", "~> 0.10.0"
  s.add_runtime_dependency "pry-rails", "~> 0.3.4"
  s.add_runtime_dependency "pry-doc", "~> 0.8.0"
  s.add_runtime_dependency "pry-git", "~> 0.2.3"
  s.add_runtime_dependency 'pry-remote', '>= 0.1.7'
  s.add_runtime_dependency 'pry-stack_explorer', '~> 0.4.9'
  s.add_runtime_dependency 'pry-debugger', '~> 0.2.3'
  s.add_runtime_dependency 'hirb', '~> 0.7.3'
  s.add_runtime_dependency 'awesome_print', '~> 1.6.0'
  s.add_runtime_dependency 'railties', '>= 3.0', '< 5.0'
end
